Subject: Re: categories: Neil Ghani's question

From: [email-masked] (Max Kelly)
Date: Mon, 6 Apr 1998 12:06:21 +1000 (EST)

I refer to Michael Barr's comments on Neil Ghani's question on cartesian
natural transformations. These have been much studied, especially in 
computer science conrexts, and Michael admits he had seen the replies of
Peter Johnstone and myself, in which we independently give precise
references to our separate contributions to the study of monads whose
multiplication and unit are cartesian natural transformations; such as
the monad whose algebras are pointed sets, the multiplication for which
is the cartesian natural transformation whose A-component is A+1+1 --> A+1.

Accordingly I thought it odd that Michael, in the face of this, trusted
his proof that they exist only trivially. Of course, as Peter Johnstone
said, Michael's E is usually empty. Ironically, Michael is tha author of
a famous and striking paper on the point of the empty set, which inter
alia points out earlier errors of this kind on the part of others.

Max Kelly.